/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

/*
=========================
body
=========================
*/
*,
*:before,
*:after {
  box-sizing: border-box;
}
html {
  font-size: 16px;
}

/*
=========================
typography
=========================
*/
h1 {
  font: 400 2.5rem/2.9rem "Public Sans";
}
h2 {
  font: 300 2rem/2.5rem "Public Sans";
}
h3 {
  font: 200 1.5rem/1.9rem "Public Sans";
}
h4 {
  font: 150 1rem/1.7rem "Public Sans";
}
h6 {
  font: 100 0.7rem/1rem "Public Sans";
}

p {
  font: 300 1rem/1.5rem "Public Sans";
}
/*
=========================
header
=========================
*/

header {
  padding-top: 5%;
  padding-bottom: 5%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.easybanklogo {
  padding-left: 6%;
  width: 50%;
}

.menu-btn {
  padding-left: 40%;
  cursor: pointer;
}
#icon-hamburger {
  display: block;
}
#icon-close {
  display: none;
  position: absolute;
  top: 3%;
  right: 15%;
}
.primary-nav {
  display: none;
  background-color: #fff;
  /* flex-direction:column;
    justify-content:space-evenly;
    align-items: center; */

  width: 90%;
  height: 40%;
  font: 500 1.3rem/1.7rem "Public Sans";
  border-radius: 5px;

  position: absolute;
  top: 12%;
  left: 5%;
}
.primary-nav-element {
  margin-top: 5%;
  margin-left: 40%;
  padding: 5px;
  display: block;
  color: hsl(233, 26%, 24%);
  text-decoration: none;
}

.header-btn {
  display: none;
}

/*
=========================
main
=========================
*/

/*
=========================
hero
=========================
*/
.hero-image {
  height: 375px;
  background-image: url(./images/image-mockups.png),
    url(./images/bg-intro-mobile.svg);
  background-repeat: no-repeat;
  background-size: cover, cover;
  background-position-y: -135px, -45px;
}
.hero-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-bottom: 15%;
}
.content-head {
  width: 80%;
  letter-spacing: -0.045rem;
  text-align: center;
  color: hsl(233, 26%, 24%);
  padding-bottom: 5%;
}
.content-message {
  color: #a9a9a9;
  text-align: center;
  padding-bottom: 5%;
  width: 90%;
}
/*
=========================
button
=========================
*/

.btn-alt {
  border-radius: 20px;
  display: inline-block;
  cursor: pointer;
  text-decoration: none;
  background: linear-gradient(to right, hsl(136, 65%, 51%), hsl(192, 70%, 51%));

  padding: 15px 30px;

  color: #fff;
  font-weight: 400px;
  font-size: 1.15rem;
  letter-spacing: 0.5px;
}
/*
=========================
features
=========================
*/

.features {
  background-color: hsl(0, 0%, 98%);

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.feature-question {
  padding-top: 15%;
}
.reason,
.each-feature {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.reason {
  padding-bottom: 15%;
}
.feature-name {
  padding: 5% 0;
}
.feature-message {
  padding-bottom: 10%;
}

/*
=========================
articles
=========================
*/
.latest-articles {
  display: flex;
  flex-direction: column;
  align-items: center;
}
#latest-article-head {
  padding-bottom: 7%;
}
.article {
  width: 80%;
  background-color: hsl(0, 0%, 100%);

  display: flex;
  flex-direction: column;
  align-items: center;

  padding-bottom: 5%;
}
.article-image {
  width: 100%;
}
.article-content {
  background-color: hsla(0, 27%, 96%, 0.281);
  width: 90%;
  display: flex;
  flex-direction: column;
}
.author {
  padding-top: 10%;
  padding-bottom: 4%;
  width: 50%;
  color: hsl(233, 8%, 62%);
}
.article-message-head {
  color: hsl(233, 26%, 24%);
}
.article-message-head:hover {
  cursor: pointer;
  color: hsl(136, 65%, 51%);
}
.article-message {
  font: 300 0.9rem/1.3rem "Public Sans";

  color: #a9a9a9;
  letter-spacing: -0.6px;
  padding-bottom: 5%;
}

/*
=========================
footer
=========================
*/
footer {
  background-color: hsl(233, 26%, 24%);
  display: flex;
  flex-direction: column;
  align-items: center;
}
.footer-logos {
  padding-top: 10%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.social {
  width: 100%;
}
.social a:hover {
  color: hsl(136, 65%, 51%);
}
.social-icon:hover {
  fill: hsl(136, 65%, 51%);
}
.footer-easybanklogo {
  filter: brightness(0) invert(1);
  padding: 10% 0;
}
.social {
  display: flex;
  justify-content: space-evenly;
  padding-bottom: 10%;
}
.social-icon {
  width: 100%;
}
.footer-menu {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.footer-menu a {
  color: white;
  padding-bottom: 10%;
  text-decoration: none;
}
.footer-menu a:hover {
  color: hsl(136, 65%, 51%);
}
.footer-menu a:last-child {
  padding-bottom: 25%;
}
.first-half,
.second-half {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.btn-copyright {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.copyright-message {
  color: hsl(233, 8%, 62%);
  padding: 8% 0;
}

@media only screen and (min-width: 960px) and (max-width: 1919px) {
  h1 {
    font: 350 3.7rem/4.6rem "Public Sans";
  }
  h2 {
    font: 300 2.5rem/2.9rem "Public Sans";
  }
  h3 {
    font: 200 1.5rem/1.9rem "Public Sans";
  }
  h4 {
    font: 200 1.03rem/1.3rem "Public Sans";
  }
  h6 {
    font: 100 0.6rem/1.1rem "Public Sans";
  }

  p {
    font: 400 1.2rem/2rem "Public Sans";
  }

  /*
    =========================
    layout
    =========================
    */
  /* .layout{
        width: 80%;
        border:5px solid red;
    } */

  /*
    =========================
    header
    =========================
    */

  header {
    padding-top: 2%;
    padding-bottom: 1%;
    padding-left: 10%;
    display: flex;
    align-items: center;
  }
  .easybanklogo {
    padding-left: 0;
    width: 12%;
  }
  #icon-hamburger,
  #icon-close {
    display: none;
  }
  .header-btn {
    margin-right: 13%;
    border-radius: 30px;
    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    background: linear-gradient(
      to right,
      hsl(136, 65%, 51%),
      hsl(192, 70%, 51%)
    );

    padding: 15px 30px;

    color: #fff;
    font-weight: 600px;
    font-size: 1rem;
    letter-spacing: 0.5px;
  }
  .btn:hover {
    opacity: 50%;
  }
  .primary-nav {
    position: static;
    width: 40%;
    height: auto;
    font: 300 1.3rem/1.7rem "Public Sans";
    display: flex;
    flex-direction: row;
    align-content: flex-start;
    align-items: flex-start;
    padding-left: 5%;
    padding-right: 6%;
    justify-content: space-evenly;
  }
  .primary-nav-element {
    margin: 0 0;
    color: hsl(233, 8%, 62%);
    text-decoration: none;
    padding-top: 0;
    padding-bottom: 2%;
    padding-left: 2%;
    padding-right: 2%;
    font-size: 0.9rem;
  }
  .primary-nav-element:hover {
    cursor: pointer;
    border-bottom: 3px solid transparent;
    border-image: linear-gradient(
      to right,
      hsl(136, 65%, 51%),
      hsl(192, 70%, 51%)
    );
    border-image-slice: 1;
    color: #000;
  }
  .menu-btn {
    display: none;
  }
  /*
=========================
main
=========================
*/

  /*
=========================
hero
=========================
*/
  .hero-page {
    display: flex;
    align-items: center;
    justify-content: space-between;

    background-image: url(./images/bg-intro-desktop.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: 38rem -16rem;

    background-color: hsl(0, 0%, 98%);
  }
  .hero-image {
    order: 1;
    width: 120%;
    height: 62.5rem;
    background-image: url(./images/image-mockups.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position-x: 8rem;
    background-position-y: -7rem;
  }
  .hero-content {
    align-self: flex-start;
    padding-top: 10%;
    padding-left: 10%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
  }
  .content-head {
    width: 90%;
    letter-spacing: -0.045rem;
    text-align: left;
    color: hsl(233, 26%, 24%);
    padding-bottom: 3%;
  }
  .content-message {
    padding-bottom: 6%;
    color: hsl(233, 8%, 62%);
    text-align: left;
    width: 89%;
    letter-spacing: -0.045rem;
  }
  /*
=========================
button
=========================
*/

  .btn-alt {
    align-self: flex-start;
    border-radius: 30px;
    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    background: linear-gradient(
      to right,
      hsl(136, 65%, 51%),
      hsl(192, 70%, 51%)
    );

    padding: 15px 30px;

    color: #fff;
    font-weight: 600px;
    font-size: 1.1rem;
    letter-spacing: 0.5px;
  }

  /*
=========================
features
=========================
*/

  .features {
    margin-top: -25%;
    padding-bottom: 6%;
    background-color: hsl(220, 16%, 96%);

    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
  }
  .feature-question {
    padding-top: 7%;
    padding-bottom: 2%;
    padding-right: 20%;
  }
  .reason,
  .each-feature {
    width: 20%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
  }
  .each-feature {
    width: 20%;
    border: 5px solid hsl(220, 16%, 96%);
  }
  .reason {
    width: 120%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-content: center;
    justify-content: center;

    padding-bottom: 0;
    padding-top: 0;
    padding-left: 10%;
  }
  .reason-content {
    width: 50%;
  }

  .feature-name {
    padding-top: 13%;
    text-align: left;
  }
  .feature-message {
    color: hsl(233, 8%, 62%);
    text-align: left;
    padding-top: 4.5%;
    width: 95%;
    padding-bottom: 10%;
  }
  .feature-message p {
    font-size: 1.05rem;
    line-height: 1.7rem;
  }

  /*
=========================
articles
=========================
*/
  .latest-articles {
    padding-top: 6%;
    padding-bottom: 5%;
    background-color: hsl(0, 0%, 98%);

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-self: center;
    align-items: center;
    justify-content: center;
  }
  #latest-article-head {
    padding-left: 10%;
    width: 100%;
    padding-bottom: 4%;
  }
  .article {
    width: 20%;
    padding: 0;
    background-color: hsl(0, 0%, 98%);

    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }

  .article img {
    width: 16rem;
    height: 12rem;
  }
  .article-content {
    background-color: hsl(0, 0%, 100%);
    width: 89%;
    padding: 0 9%;
    display: flex;
    flex-direction: column;
  }
  .author {
    padding-top: 10%;
    padding-bottom: 4%;
    width: 90%;
    color: hsl(233, 8%, 62%);
  }
  .article-message-head {
    width: 100%;
    color: hsl(233, 26%, 24%);
    padding-bottom: 2%;
  }
  .article-message-head:hover {
    cursor: pointer;
    color: hsl(136, 65%, 51%);
  }
  .article-message {
    font: 300 0.85rem/1.3rem "Public Sans";

    color: hsl(233, 8%, 62%);
    letter-spacing: -0.6px;
    padding-bottom: 10%;
  }
  /*
=========================
footer
=========================
*/
  footer {
    background-color: hsl(233, 26%, 24%);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    align-items: center;

    padding-bottom: 3%;
  }
  .footer-logos {
    padding-top: 2%;
    padding-left: 10%;
    width: 23%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-content: center;
  }
  .footer-easybanklogo {
    width: 100%;
  }
  .social {
    width: 90%;
    display: flex;
    justify-content: space-between;
    padding-bottom: 10%;
    padding-top: 20%;
  }
  .social-icon:hover {
    fill: hsl(136, 65%, 51%);
  }
  .social-icon {
    width: 20%;
    padding-right: 9%;
  }
  .footer-nav {
    padding-top: 2%;
    width: 35%;
  }
  .footer-menu {
    display: flex;
    flex-direction: row;
    align-items: center;
    align-content: center;
    justify-content: space-around;
  }
  .footer-menu a {
    text-decoration: none;
    padding-top: 0;
    color: white;
    font: 200 1rem/1.9rem "Public Sans";
  }
  .first-half {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }
  .second-half {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding-top: 3%;
  }
  .copyright-message {
    font-size: 1rem;
    color: hsl(233, 8%, 62%);
    padding-top: 12%;
  }

  .footer-btn {
    text-align: center;
    font-size: 1.03rem;
    font-weight: 500;
    margin-top: 20%;
    width: 11rem;
    align-self: flex-end;
  }
  .btn-copyright {
    font-size: 1.05rem;
    padding-right: 10%;
  }
}
@media only screen and (min-width: 1920px) {
  h1 {
    font: 400 4rem/4.9rem "Public Sans";
  }
  h2 {
    font: 300 3rem/3.5rem "Public Sans";
  }
  h3 {
    font: 200 1.5rem/1.9rem "Public Sans";
  }
  h4 {
    font: 150 1.2rem/1.7rem "Public Sans";
  }
  h6 {
    font: 100 0.8rem/1.1rem "Public Sans";
  }

  p {
    font: 300 1.2rem/2rem "Public Sans";
  }
  /*
  =========================
  header
  =========================
  */

  header {
    padding-top: 2%;
    padding-bottom: 2%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
  }
  .easybanklogo {
    width: 15%;
  }
  .icon-hamburger {
    width: 0;
  }
  .header-btn {
    margin-left: 5%;
    border-radius: 30px;
    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    background: linear-gradient(
      to right,
      hsl(136, 65%, 51%),
      hsl(192, 70%, 51%)
    );

    padding: 15px 30px;

    color: #fff;
    font-weight: 400px;
    font-size: 1.1rem;
    letter-spacing: 0.5px;
  }
  .primary-nav {
    width: 40%;
    font: 300 1.3rem/1.7rem "Public Sans";
    display: flex;
    padding-left: 15%;
    justify-content: space-evenly;
  }
  .primary-nav-element {
    color: hsl(233, 8%, 62%);
    text-decoration: none;
    padding-bottom: 2%;
    padding-left: 2%;
    padding-right: 2%;
  }
  .primary-nav-element:hover {
    cursor: pointer;
    border-bottom: 3px solid hsl(136, 65%, 51%);
    color: #000;
  }
  /*
=========================
main
=========================
*/

  /*
=========================
hero
=========================
*/
  .hero-page {
    display: flex;
    align-items: center;
    justify-content: space-between;

    background-image: url(./images/bg-intro-desktop.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: 130% -190px;
  }
  .hero-image {
    order: 1;
    width: 100%;
    height: 1000px;
    background-image: url(./images/image-mockups.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position-x: 430px;
    background-position-y: 0%;
  }
  .hero-content {
    padding-left: 5%;
    padding-bottom: 5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .content-head {
    width: 70%;
    letter-spacing: -0.045rem;
    text-align: left;
    color: hsl(233, 26%, 24%);
    padding-bottom: 5%;
  }
  .content-message {
    color: #a9a9a9;
    text-align: left;
    padding-bottom: 5%;
    width: 60%;
  }
  /*
=========================
button
=========================
*/

  .btn-alt {
    align-self: flex-start;
    margin-left: 20%;

    border-radius: 30px;
    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    background: linear-gradient(
      to right,
      hsl(136, 65%, 51%),
      hsl(192, 70%, 51%)
    );

    padding: 15px 30px;

    color: #fff;
    font-weight: 400px;
    font-size: 1.5rem;
    letter-spacing: 0.5px;
  }

  /*
=========================
features
=========================
*/

  .features {
    margin-top: -8%;
    background-color: hsl(0, 0%, 98%);

    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
  }
  .feature-question {
    padding-top: 7%;
    padding-bottom: 2%;
    padding-right: 20%;
  }
  .reason,
  .each-feature {
    width: 20%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
  }
  .reason {
    width: 90%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-content: center;
    justify-content: center;

    padding-bottom: 0;
    padding-top: 0;
    padding-left: 7%;
  }
  .reason-content {
    width: 40%;
  }
  .feature-name {
    padding: 5% 0;
    text-align: left;
  }
  .feature-message {
    font-size: 0.1rem;
    color: #a9a9a9;
    text-align: left;
    padding-bottom: 5%;
    width: 90%;
    padding-bottom: 10%;
  }

  /*
=========================
articles
=========================
*/
  .latest-articles {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-self: center;
    align-items: center;
    justify-content: center;
  }
  #latest-article-head {
    padding-left: 13%;
    width: 100%;
    padding-bottom: 2%;
  }
  .article {
    width: 20%;
    padding: 0;
    background-color: hsl(0, 0%, 100%);

    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .article-image {
    width: 70%;
  }
  .article-content {
    width: 60%;
    display: flex;
    flex-direction: column;
  }
  .author {
    padding-top: 10%;
    padding-bottom: 4%;
    width: 50%;
    color: hsl(233, 8%, 62%);
  }
  .article-message-head {
    width: 70%;
    color: hsl(233, 26%, 24%);
    padding-bottom: 2%;
  }
  .article-message-head:hover {
    cursor: pointer;
    color: hsl(136, 65%, 51%);
  }
  .article-message {
    font: 300 1rem/1.3rem "Public Sans";

    color: #a9a9a9;
    letter-spacing: -0.6px;
    padding-bottom: 5%;
  }
  /*
=========================
footer
=========================
*/
  footer {
    background-color: hsl(233, 26%, 24%);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    align-items: center;
  }
  .footer-logos {
    padding-top: 2%;
    width: 15%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
  }
  .footer-easybanklogo {
    width: 100%;
  }
  .social {
    width: 90%;
    display: flex;
    justify-content: space-evenly;
    padding-bottom: 10%;
    padding-top: 20%;
  }
  .social-icon:hover {
    fill: hsl(136, 65%, 51%);
  }
  .social-icon {
    width: 20%;
    padding-right: 9%;
  }
  .footer-nav {
    padding-top: 2%;
    width: 35%;
  }
  .footer-menu {
    display: flex;
    flex-direction: row;
    align-items: center;
    align-content: center;
    justify-content: space-around;
  }
  .footer-menu a {
    text-decoration: none;
    padding-top: 0;
    color: white;
    font: 200 1rem/1.9rem "Public Sans";
  }
  .second-half {
    padding-top: 3%;
  }
  .copyright-message {
    font-size: 1rem;
    color: hsl(233, 8%, 62%);
    padding-top: 12%;
  }

  .footer-btn {
    font-size: 1rem;
    margin-top: 40%;
    margin-left: 0;
    align-self: center;
  }
  .btn-copyright {
    padding-left: 15%;
    padding-right: 7%;
  }
}
